Scriptname DSerWeaponGripChange extends activemagiceffect  

message property ChoiceBox auto
message property ChoiceBox2 auto
message property ChoiceBox3 auto
message property PressKeyPrompt auto
quest property DummyQuest auto
spell Property MonitorAbility auto
spell Property ThisSpell auto

Int YourHotkey

Event OnEffectStart(Actor akTarget, Actor akCaster)
	Int Choice = ChoiceBox.Show()
	If Choice == 0
		PressKeyPrompt.Show()
		Utility.wait(1)
		YourHotkey = Input.GetNthKeyPressed(0)
		If(YourHotkey != -1)
			debug.messagebox("Hotkey Set")
			utility.wait(0.5)
			debug.messagebox("Setup Complete.\nEquip a weapon and press your hotkey to switch between one and two-handed mode")
		Else
			While(YourHotkey == -1)
				debug.notification("Hold Down Your Hotkey Now")
				debug.notification(Input.GetNumKeysPressed() + " keys are pressed")
				utility.wait(1)
				YourHotkey = Input.GetNthKeyPressed(0)
			EndWhile
			debug.messagebox("Hotkey Set")
			utility.wait(0.5)
			debug.messagebox("Setup Complete.\nEquip a weapon and press your hotkey to switch between one and two-handed mode")
		EndIf
		DummyQuest.RegisterForKey(YourHotkey)
		Game.GetPlayer().AddSpell(MonitorAbility,false)
	ElseIf Choice == 1
		DummyQuest.UnregisterForAllKeys()
		Game.GetPlayer().RemoveSpell(MonitorAbility)
	ElseIf Choice == 2
		int Choice2 = ChoiceBox2.Show()
		If Choice2 == 0
			If Game.GetPlayer().GetEquippedSpell(0)
					Game.GetPlayer().UnequipSpell(Game.GetPlayer().GetEquippedSpell(0),0)				;unequips the spell if it's in the left hand
			ElseIf Game.GetPlayer().GetEquippedSpell(1)
					Game.GetPlayer().UnequipSpell(Game.GetPlayer().GetEquippedSpell(1),1)				;unequips the spell if it's in the right hand
			EndIf
			Game.GetPlayer().RemoveSpell(ThisSpell)
		EndIf
	EndIf
EndEvent
