Scriptname DSerBastardSword extends activemagiceffect  

GlobalVariable Property DSerScriptRunning  auto
GlobalVariable Property GripHasBeenChanged auto
GlobalVariable Property ResetRequest auto
GlobalVariable Property ExtraWait auto
GlobalVariable Property AutoGripGlobal auto
GlobalVariable Property SkillsMatch auto
GlobalVariable Property WasMaceGlobal auto
GlobalVariable Property WasDaggerGlobal auto
GlobalVariable Property WasWarAxeGlobal auto
GlobalVariable Property BeenAutoChanged auto
GlobalVariable Property WeaponDamage auto
GlobalVariable Property WeaponSpeed auto
GlobalVariable Property DamageChange auto
GlobalVariable Property SpeedChange auto
Message Property AutoGripChoice auto
Message Property AutoGripChoice2H auto


int SwordType = 1
int DaggerType = 2
int WarAxeType = 3
int MaceType = 4
int GreatswordType = 5
int BattleaxeWarhammerType = 6
int choice
int choice2H
int Run = 1
float ExtraWaitA

weapon YourWeapon
weapon YourOldWeapon

equipslot OneHandedSlot
equipslot TwoHandedSlot

actor PlayerRef

Function DontRun()
	Run = 0
EndFunction

Function Run()
	Run = 1
EndFunction

Event OnInit()
	PlayerRef = Game.GetPlayer()											;create a player reference
	OneHandedSlot = Game.GetForm(0x00013f42) As EquipSlot				;weapon slot for a one handed weapon
	TwoHandedSlot = Game.GetForm(0x00013F45) As EquipSlot				;weapon slot for a two handed weapon
	debug.trace("[Unlocked Grip] Auto-Grip Setup Complete.")
EndEvent

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	If(AutoGripGlobal.GetValueInt() == 1)&&(GripHasBeenChanged.GetValueInt() == 0)&&(DSerScriptRunning.GetValueInt() == 0)&&(akBaseObject as Weapon)&&(Run == 1)
		If((akBaseObject as Weapon) == PlayerRef.GetEquippedWeapon())
			YourWeapon = akBaseObject as Weapon
			ExtraWaitA = ExtraWait.GetValue()
			If(YourWeapon.GetWeaponType() == SwordType) 				;ElseIf
				YourOldWeapon = YourWeapon
				choice = AutoGripChoice.Show()
				If(choice == 1)
					debug.notification("Weapon will draw with two hands.")
					While(Utility.IsInMenuMode() == true)
						utility.waitmenumode(0.2)
						If(YourOldWeapon != PlayerRef.GetEquippedWeapon())
							debug.notification("Grip has reverted to normal")
							return
						EndIf
					EndWhile
					If(YourOldWeapon == PlayerRef.GetEquippedWeapon())
						;---------- REMOVE ANYTHING FROM THE PLAYERS LEFT HAND -----------------------------------------------------------------------------------
						If(PlayerRef.GetEquippedWeapon(true))									;Check for anything in the left hand and unequip it if true
							PlayerRef.UnequipItem(PlayerRef.GetEquippedWeapon(true),false,true)	;unequip the left hand weapon
						ElseIf(PlayerRef.GetEquippedShield())
							PlayerRef.UnequipItem(PlayerRef.GetEquippedShield(),false,true)		;unequips any shield
						ElseIf(PlayerRef.GetEquippedSpell(0))
							PlayerRef.UnequipSpell(PlayerRef.GetEquippedSpell(0),0)				;unequips the left hand spell
						EndIf
						;--------------------------------------------------------------------------------------------------------------------------------------------------------------

						;---------- SWITCH THE WEAPON TO TWO-HANDED MODE -----------------------------------------------------------------------------------------
						DSerScriptRunning.SetValueInt(1)
						utility.wait(0.1)
						PlayerRef.UnequipItem(YourWeapon,false,true)			;unequip the right hand weapon
						If(SkillsMatch.GetValue())
							YourWeapon.SetSkill("TwoHanded")					;changes the skill
						EndIf
						YourWeapon.SetEquipType(TwoHandedSlot)				;changes the equip type in the menu into LR
						YourWeapon.SetWeaponType(GreatswordType)			;changes the weapon type to two-handed, affects animations
						Utility.Wait(0.1+ExtraWaitA)
						PlayerRef.EquipItem(YourWeapon,false,true)			;re-equip the right hand weapon
						Utility.Wait(0.1+ExtraWaitA)
						YourWeapon.SetWeaponType(SwordType)				;changes the weapon type to one-handed, affects animations
						PlayerRef.DrawWeapon()								;draw the right hand weapon, required
						utility.wait(1.5)											;necessary wait time for the draw animation
						YourWeapon.SetWeaponType(GreatswordType)			;fix the invisible left hand weapon bug, allows blocking

						YourWeapon.SetBaseDamage((WeaponDamage.GetValue()*(1.0+DamageChange.GetValue())) as int)
						YourWeapon.SetSpeed(WeaponSpeed.GetValue()*(1.0+SpeedChange.GetValue()))
						;---------------------------------------------------------------------------------------------------------------------------------------------------------------
				
						GripHasBeenChanged.SetValue(1)
						BeenAutoChanged.SetValue(1)
						DSerScriptRunning.SetValueInt(0)
						WasMaceGlobal.SetValue(0)
						WasDaggerGlobal.SetValue(0)
						WasWarAxeGlobal.SetValue(0)
					Else
						debug.notification("Grip has reverted to normal")
					EndIf
				EndIf
			ElseIf(YourWeapon.GetWeaponType() == DaggerType)
				YourOldWeapon = YourWeapon
				choice = AutoGripChoice.Show()
				If(choice == 1)
					debug.notification("Weapon will draw with two hands.")
					While(Utility.IsInMenuMode() == true)
						utility.waitmenumode(0.2)
						If(YourOldWeapon != PlayerRef.GetEquippedWeapon())
							debug.notification("Grip has reverted to normal")
							return
						EndIf
					EndWhile
					If(YourOldWeapon == PlayerRef.GetEquippedWeapon())
						;---------- REMOVE ANYTHING FROM THE PLAYERS LEFT HAND -----------------------------------------------------------------------------------
						If(PlayerRef.GetEquippedWeapon(true))									;Check for anything in the left hand and unequip it if true
							PlayerRef.UnequipItem(PlayerRef.GetEquippedWeapon(true),false,true)	;unequip the left hand weapon
						ElseIf(PlayerRef.GetEquippedShield())
							PlayerRef.UnequipItem(PlayerRef.GetEquippedShield(),false,true)		;unequips any shield
						ElseIf(PlayerRef.GetEquippedSpell(0))
							PlayerRef.UnequipSpell(PlayerRef.GetEquippedSpell(0),0)				;unequips the left hand spell
						EndIf
						;--------------------------------------------------------------------------------------------------------------------------------------------------------------

						;---------- SWITCH THE WEAPON TO TWO-HANDED MODE -----------------------------------------------------------------------------------------
						DSerScriptRunning.SetValueInt(1)
						utility.wait(0.1)
						PlayerRef.UnequipItem(YourWeapon,false,true)			;unequip the right hand weapon
						If(SkillsMatch.GetValue())
							YourWeapon.SetSkill("TwoHanded")					;changes the skill
						EndIf
						YourWeapon.SetEquipType(TwoHandedSlot)				;changes the equip type in the menu into LR
						YourWeapon.SetWeaponType(GreatswordType)			;changes the weapon type to two-handed, affects animations
						Utility.Wait(0.1+ExtraWaitA)
						PlayerRef.EquipItem(YourWeapon,false,true)			;re-equip the right hand weapon
						Utility.Wait(0.1+ExtraWaitA)
						YourWeapon.SetWeaponType(DaggerType)				;changes the weapon type to one-handed, affects animations
						PlayerRef.DrawWeapon()								;draw the right hand weapon, required
						utility.wait(1.5)											;necessary wait time for the draw animation
						YourWeapon.SetWeaponType(GreatswordType)			;fix the invisible left hand weapon bug, allows blocking	

						YourWeapon.SetBaseDamage((WeaponDamage.GetValue()*(1.0+DamageChange.GetValue())) as int)
						YourWeapon.SetSpeed(WeaponSpeed.GetValue()*(1.0+SpeedChange.GetValue()))
						;---------------------------------------------------------------------------------------------------------------------------------------------------------------
					
						GripHasBeenChanged.SetValue(1)
						BeenAutoChanged.SetValue(1)
						DSerScriptRunning.SetValueInt(0)
						WasMaceGlobal.SetValue(0)
						WasDaggerGlobal.SetValue(1)
						WasWarAxeGlobal.SetValue(0)
					Else
						debug.notification("Grip has reverted to normal")
					EndIf
				EndIf
			ElseIf(YourWeapon.GetWeaponType() == WarAxeType)
				YourOldWeapon = YourWeapon
				choice = AutoGripChoice.Show()
				If(choice == 1)
					debug.notification("Weapon will draw with two hands.")
					While(Utility.IsInMenuMode() == true)
						utility.waitmenumode(0.2)
						If(YourOldWeapon != PlayerRef.GetEquippedWeapon())
							debug.notification("Grip has reverted to normal")
							return
						EndIf
					EndWhile
					If(YourOldWeapon == PlayerRef.GetEquippedWeapon())
						;---------- REMOVE ANYTHING FROM THE PLAYERS LEFT HAND -----------------------------------------------------------------------------------
						If(PlayerRef.GetEquippedWeapon(true))									;Check for anything in the left hand and unequip it if true
							PlayerRef.UnequipItem(PlayerRef.GetEquippedWeapon(true),false,true)	;unequip the left hand weapon
						ElseIf(PlayerRef.GetEquippedShield())
							PlayerRef.UnequipItem(PlayerRef.GetEquippedShield(),false,true)		;unequips any shield
						ElseIf(PlayerRef.GetEquippedSpell(0))
							PlayerRef.UnequipSpell(PlayerRef.GetEquippedSpell(0),0)				;unequips the left hand spell
						EndIf
						;--------------------------------------------------------------------------------------------------------------------------------------------------------------

						;---------- SWITCH THE WEAPON TO TWO-HANDED MODE -----------------------------------------------------------------------------------------
						DSerScriptRunning.SetValueInt(1)
						utility.wait(0.1)
						PlayerRef.UnequipItem(YourWeapon,false,true)			;unequip the right hand weapon
						If(SkillsMatch.GetValue())
							YourWeapon.SetSkill("TwoHanded")					;changes the skill
						EndIf
						YourWeapon.SetEquipType(TwoHandedSlot)				;changes the equip type in the menu into LR
						YourWeapon.SetWeaponType(GreatswordType)			;changes the weapon type to two-handed, affects animations
						Utility.Wait(0.1+ExtraWaitA)
						PlayerRef.EquipItem(YourWeapon,false,true)			;re-equip the right hand weapon
						Utility.Wait(0.1+ExtraWaitA)
						YourWeapon.SetWeaponType(WarAxeType)				;changes the weapon type to one-handed, affects animations
						PlayerRef.DrawWeapon()								;draw the right hand weapon, required
						utility.wait(1.5)											;necessary wait time for the draw animation
						YourWeapon.SetWeaponType(GreatswordType)			;fix the invisible left hand weapon bug, allows blocking	

						YourWeapon.SetBaseDamage((WeaponDamage.GetValue()*(1.0+DamageChange.GetValue())) as int)
						YourWeapon.SetSpeed(WeaponSpeed.GetValue()*(1.0+SpeedChange.GetValue()))
						;---------------------------------------------------------------------------------------------------------------------------------------------------------------
					
						GripHasBeenChanged.SetValue(1)
						BeenAutoChanged.SetValue(1)
						DSerScriptRunning.SetValueInt(0)
						WasMaceGlobal.SetValue(0)
						WasDaggerGlobal.SetValue(0)
						WasWarAxeGlobal.SetValue(1)
					Else
						debug.notification("Grip has reverted to normal")
					EndIf
				EndIf
			ElseIf(YourWeapon.GetWeaponType() == MaceType)
				YourOldWeapon = YourWeapon
				choice = AutoGripChoice.Show()
				If(choice == 1)
					debug.notification("Weapon will draw with two hands")
					While(Utility.IsInMenuMode() == true)
						utility.waitmenumode(0.2)
						If(YourOldWeapon != PlayerRef.GetEquippedWeapon())
							debug.notification("Grip has reverted to normal")
							return
						EndIf
					EndWhile
					If(YourOldWeapon == PlayerRef.GetEquippedWeapon())
						;---------- REMOVE ANYTHING FROM THE PLAYERS LEFT HAND -----------------------------------------------------------------------------------
						If(PlayerRef.GetEquippedWeapon(true))									;Check for anything in the left hand and unequip it if true
							PlayerRef.UnequipItem(PlayerRef.GetEquippedWeapon(true),false,true)	;unequip the left hand weapon
						ElseIf(PlayerRef.GetEquippedShield())
							PlayerRef.UnequipItem(PlayerRef.GetEquippedShield(),false,true)		;unequips any shield
						ElseIf(PlayerRef.GetEquippedSpell(0))
							PlayerRef.UnequipSpell(PlayerRef.GetEquippedSpell(0),0)				;unequips the left hand spell
						EndIf
						;--------------------------------------------------------------------------------------------------------------------------------------------------------------

						;---------- SWITCH THE WEAPON TO TWO-HANDED MODE -----------------------------------------------------------------------------------------
						DSerScriptRunning.SetValueInt(1)
						utility.wait(0.1)
						PlayerRef.UnequipItem(YourWeapon,false,true)			;unequip the right hand weapon
						If(SkillsMatch.GetValue())
							YourWeapon.SetSkill("TwoHanded")					;changes the skill
						EndIf
						YourWeapon.SetEquipType(TwoHandedSlot)				;changes the equip type in the menu into LR
						YourWeapon.SetWeaponType(GreatswordType)			;changes the weapon type to two-handed, affects animations
						Utility.Wait(0.1+ExtraWaitA)
						PlayerRef.EquipItem(YourWeapon,false,true)			;re-equip the right hand weapon
						Utility.Wait(0.1+ExtraWaitA)
						YourWeapon.SetWeaponType(MaceType)				;changes the weapon type to one-handed, affects animations
						PlayerRef.DrawWeapon()								;draw the right hand weapon, required
						utility.wait(1.5)											;necessary wait time for the draw animation
						YourWeapon.SetWeaponType(GreatswordType)			;fix the invisible left hand weapon bug, allows blocking	

						YourWeapon.SetBaseDamage((WeaponDamage.GetValue()*(1.0+DamageChange.GetValue())) as int)
						YourWeapon.SetSpeed(WeaponSpeed.GetValue()*(1.0+SpeedChange.GetValue()))
						;---------------------------------------------------------------------------------------------------------------------------------------------------------------
				
						GripHasBeenChanged.SetValue(1)
						BeenAutoChanged.SetValue(1)
						DSerScriptRunning.SetValueInt(0)
						WasMaceGlobal.SetValue(1)
						WasDaggerGlobal.SetValue(0)
						WasWarAxeGlobal.SetValue(0)
					Else
						debug.notification("Grip has reverted to normal")
					EndIf
				EndIf
			ElseIf(YourWeapon.GetWeaponType() == GreatswordType)
				YourOldWeapon = YourWeapon
				choice2H = AutoGripChoice2H.Show()
				If(choice2H == 1)
					debug.notification("Weapon will draw with one hand")
					While(Utility.IsInMenuMode() == true)
						utility.waitmenumode(0.2)
						If(YourOldWeapon != PlayerRef.GetEquippedWeapon())
							debug.notification("Grip has reverted to normal")
							return
						EndIf
					EndWhile
					If(YourOldWeapon == PlayerRef.GetEquippedWeapon())
						;---------- SWITCH THE WEAPON TO TWO-HANDED MODE -----------------------------------------------------------------------------------------
						DSerScriptRunning.SetValueInt(1)
						utility.wait(0.1)
						PlayerRef.UnequipItem(YourWeapon,false,true)			;unequip the right hand weapon
						If(SkillsMatch.GetValue())
							YourWeapon.SetSkill("OneHanded")					;changes the skill
						EndIf
						YourWeapon.SetEquipType(OneHandedSlot)				;changes the equip type in the menu into LR
						YourWeapon.SetWeaponType(SwordType)				;changes the weapon type to two-handed, affects animations
						Utility.Wait(0.1+ExtraWaitA)
						PlayerRef.EquipItem(YourWeapon,false,true)			;re-equip the right hand weapon
						Utility.Wait(0.1+ExtraWaitA)
						YourWeapon.SetWeaponType(GreatswordType)			;changes the weapon type to one-handed, affects animations
						PlayerRef.DrawWeapon()								;draw the right hand weapon, required
						utility.wait(1.5)											;necessary wait time for the draw animation
						YourWeapon.SetWeaponType(SwordType)				;fix the invisible left hand weapon bug, allows blocking	

						YourWeapon.SetBaseDamage((WeaponDamage.GetValue()*(1.0-DamageChange.GetValue())) as int)
						YourWeapon.SetSpeed(WeaponSpeed.GetValue()*(1.0-SpeedChange.GetValue()))
						;---------------------------------------------------------------------------------------------------------------------------------------------------------------
				
						GripHasBeenChanged.SetValue(1)
						BeenAutoChanged.SetValue(1)
						DSerScriptRunning.SetValueInt(0)
						WasMaceGlobal.SetValue(0)
						WasDaggerGlobal.SetValue(0)
						WasWarAxeGlobal.SetValue(0)
					Else
						debug.notification("Grip has reverted to normal")
					EndIf
				EndIf
			ElseIf(YourWeapon.GetWeaponType() == BattleaxeWarhammerType)
				YourOldWeapon = YourWeapon
				choice2H = AutoGripChoice2H.Show()
				If(choice2H == 1)
					debug.notification("Weapon will draw with one hand")
					While(Utility.IsInMenuMode() == true)
						utility.waitmenumode(0.2)
						If(YourOldWeapon != PlayerRef.GetEquippedWeapon())
							debug.notification("Grip has reverted to normal")
							return
						EndIf
					EndWhile
					If(YourOldWeapon == PlayerRef.GetEquippedWeapon())
						;---------- SWITCH THE WEAPON TO TWO-HANDED MODE -----------------------------------------------------------------------------------------
						DSerScriptRunning.SetValueInt(1)
						utility.wait(0.1)
						PlayerRef.UnequipItem(YourWeapon,false,true)			;unequip the right hand weapon
						If(SkillsMatch.GetValue())
							YourWeapon.SetSkill("OneHanded")					;changes the skill
						EndIf
						YourWeapon.SetEquipType(OneHandedSlot)				;changes the equip type in the menu into LR
						YourWeapon.SetWeaponType(WarAxeType)				;changes the weapon type to two-handed, affects animations
						Utility.Wait(0.1+ExtraWaitA)
						PlayerRef.EquipItem(YourWeapon,false,true)			;re-equip the right hand weapon
						Utility.Wait(0.1+ExtraWaitA)
						YourWeapon.SetWeaponType(BattleaxeWarhammerType)	;changes the weapon type to one-handed, affects animations
						PlayerRef.DrawWeapon()								;draw the right hand weapon, required
						utility.wait(1.5)											;necessary wait time for the draw animation
						YourWeapon.SetWeaponType(WarAxeType)				;fix the invisible left hand weapon bug, allows blocking	

						YourWeapon.SetBaseDamage((WeaponDamage.GetValue()*(1.0-DamageChange.GetValue())) as int)
						YourWeapon.SetSpeed(WeaponSpeed.GetValue()*(1.0-SpeedChange.GetValue()))
						;---------------------------------------------------------------------------------------------------------------------------------------------------------------
				
						GripHasBeenChanged.SetValue(1)
						BeenAutoChanged.SetValue(1)
						DSerScriptRunning.SetValueInt(0)
						WasMaceGlobal.SetValue(0)
						WasDaggerGlobal.SetValue(0)
						WasWarAxeGlobal.SetValue(0)
					Else
						debug.notification("Grip has reverted to normal")
					EndIf
				EndIf
			EndIf
		EndIf
	EndIf
EndEvent

