Scriptname DSerULGConfigMenu extends SKI_ConfigBase  

quest property DummyQuest auto
spell Property MonitorAbility auto
MagicEffect Property MonitorEffect  Auto  
GlobalVariable Property GlobalHotkey auto
GlobalVariable Property GlobalHotkey2 auto
GlobalVariable Property SecondaryHotkeyEnabled auto
GlobalVariable Property BattleaxeBackSheath auto
GlobalVariable Property GreatswordBackSheath auto
GlobalVariable Property ResetRequest auto
GlobalVariable Property DamageChange auto
GlobalVariable Property SpeedChange auto
GlobalVariable Property ExtraWait auto
GlobalVariable Property AutoGripGlobal auto
GlobalVariable Property WeaponDamage auto
GlobalVariable Property SkillsMatch auto
Perk Property ArmsmanPerk00 auto
Perk Property ArmsmanPerk20 auto
Perk Property ArmsmanPerk40 auto
Perk Property ArmsmanPerk60 auto
Perk Property ArmsmanPerk80 auto
Perk Property BarbarianPerk00 auto
Perk Property BarbarianPerk20 auto
Perk Property BarbarianPerk40 auto
Perk Property BarbarianPerk60 auto
Perk Property BarbarianPerk80 auto
Message Property ChoiceBox3  Auto  
Message Property ChoiceBox4  Auto  

int optionA
int optionB
int optionC
int optionD
int optionE
int optionF_S
int optionG_S
int optionH
int optionI_S
int optionJ_s
int optionK
int optionZ

float extrawaitA = 0.0
float damagechangeA = 25.0
float speedchangeA = 0.0
float damageresetvalue

weapon YourWeapon

int Hotkey
int Hotkey2
int myKey = 0
int myKey2 = 0
int Enabled = 0

bool stateA = false
bool stateB = false
bool stateC = false
bool stateD = false
bool stateH = true
bool stateK = false


event OnInit()
	parent.OnInit()
	utility.waitmenumode(10)
	ForcePageReset()
endEvent

Event OnConfigRegister()
	utility.waitmenumode(10)
	ForcePageReset()
EndEvent

Function ResetMCM()
	GlobalHotkey.SetValue(0)
	GlobalHotkey2.SetValue(0)
	SecondaryHotkeyEnabled.SetValue(0)
	BattleaxeBackSheath.SetValue(0)
	GreatswordBackSheath.SetValue(0)
	ResetRequest.SetValue(0)
	DamageChange.SetValue(0.25)
	SpeedChange.SetValue(0)
	ExtraWait.SetValue(0)
	AutoGripGlobal.SetValue(1)
	WeaponDamage.SetValue(0)
	SkillsMatch.SetValue(0)
	extrawaitA = 0.0
	damagechangeA = 25.0
	speedchangeA = 0.0
	myKey = 0
	myKey2 = 0
	Enabled = 0
	stateA = false
	stateB = false
	stateC = false
	stateD = false
	stateH = true
	stateK = false
EndFunction

Event OnPageReset(string page)
	SetTitleText("Settings")
	SetCursorFillMode(TOP_TO_BOTTOM)
	SetCursorPosition(0)
	If(stateA == false)
		optionA = AddToggleOption(" Enable Unlocked Grip", stateA)
	ElseIf((stateA == true)&&(stateB == false))
		Hotkey = AddKeymapOption(" Hotkey", myKey)
		optionB = AddToggleOption(" Enable Secondary Hotkey", stateB)
		optionH = AddToggleOption(" Auto-Grip", stateH)
		AddEmptyOption()
		optionI_S = AddSliderOption(" Damage Change", damagechangeA, "{0}%")
		optionJ_S = AddSliderOption(" Speed Change", speedchangeA, "{0}%")
		optionG_S = AddSliderOption(" Extra Time", extrawaitA, "{0} ms")
		AddEmptyOption()
		optionK = AddToggleOption(" Skill Matches Grip", stateK)
		optionC = AddToggleOption(" Battleaxe/Warhammer Back Sheath", stateC)
		optionD = AddToggleOption(" Greatsword Back Sheath", stateD)
		SetCursorPosition(1)
		optionE = AddTextOption(" Reset Weapons", none)
		optionF_S = AddSliderOption(" Reset Base Damage", 0)
		AddEmptyOption()
		optionZ = AddTextOption(" Remove Mod", none)
		SecondaryHotkeyEnabled.SetValue(0)
	ElseIf((stateA == true)&&(stateB == true))
		Hotkey = AddKeymapOption(" Modifier", myKey)
		optionB = AddToggleOption(" Enable Secondary Hotkey", stateB)
		Hotkey2 = AddKeymapOption(" Hotkey", myKey2)
		optionH = AddToggleOption(" Choose Grip on Equip", stateH)
		AddEmptyOption()
		optionI_S = AddSliderOption(" Damage Change", damagechangeA, "{0}%")
		optionJ_S = AddSliderOption(" Speed Change", speedchangeA, "{0}%")
		optionG_S = AddSliderOption(" Additional Wait Time", extrawaitA, "{0} ms")
		AddEmptyOption()
		optionK = AddToggleOption(" Skill Matches Grip", stateK)
		optionC = AddToggleOption(" Battleaxe/Warhammer Back Sheath", stateC)
		optionD = AddToggleOption(" Greatsword Back Sheath", stateD)
		SetCursorPosition(1)
		optionE = AddTextOption(" Reset Weapons", none)
		optionF_S = AddSliderOption(" Reset Base Damage", WeaponDamage.GetValue(), "{0}")
		AddEmptyOption()
		optionZ = AddTextOption(" Remove Mod", none)
	EndIf
EndEvent

Event OnOptionSelect(int option)
	If(option == optionA)
		stateA = !stateA
		Enabled = 1
		SetToggleOptionValue(optionA, stateA)
		utility.waitmenumode(0.1)
		If(DummyQuest.IsStopped())
			DummyQuest.Start()
		EndIf
		Game.GetPlayer().AddSpell(MonitorAbility,false)
		utility.waitmenumode(0.25)
		ShowMessage("Your weapons will unequip to set up the mod. Now you can set up a hotkey.", false, "OK")
		ForcePageReset()
		SetCursorPosition(0)
	ElseIf(option == optionB)
		stateB = !stateB
		SetToggleOptionValue(optionB, stateB)
		utility.waitmenumode(0.1)
		ForcePageReset()
		SetCursorPosition(0)
	ElseIf(option == optionC)
		stateC = !stateC
		SetToggleOptionValue(optionC, stateC)
		if(BattleaxeBackSheath.GetValueInt() == 1)
			BattleaxeBackSheath.SetValue(0)
			utility.waitmenumode(0.1)
			If(Game.GetPlayer().GetEquippedWeapon())
				Game.GetPlayer().UnequipItemEx(Game.GetPlayer().GetEquippedWeapon() as form, 1, false)			;remove any weapon from the right hand
			EndIf
			If(Game.GetPlayer().GetEquippedWeapon(true))
				Game.GetPlayer().UnequipItemEx(Game.GetPlayer().GetEquippedWeapon(true) as form, 2, false)		;remove any weapon from the left hand
			EndIf
			MonitorEffect.UnregisterForAllKeys()
			ShowMessage("Your weapons have been unequipped.", false, "OK")
		elseif(BattleaxeBackSheath.GetValueInt() == 0)
			BattleaxeBackSheath.SetValue(1)
			utility.waitmenumode(0.1)
			If(Game.GetPlayer().GetEquippedWeapon())
				Game.GetPlayer().UnequipItemEx(Game.GetPlayer().GetEquippedWeapon() as form, 1, false)			;remove any weapon from the right hand
			EndIf
			If(Game.GetPlayer().GetEquippedWeapon(true))
				Game.GetPlayer().UnequipItemEx(Game.GetPlayer().GetEquippedWeapon(true) as form, 2, false)		;remove any weapon from the left hand
			EndIf
			MonitorEffect.UnregisterForAllKeys()
			ShowMessage("Any weapons have been unequipped.", false, "OK")
		endif
	ElseIf(option == optionD)
		stateD = !stateD
		SetToggleOptionValue(optionD, stateD)
		if(GreatswordBackSheath.GetValueInt() == 1)
			GreatswordBackSheath.SetValue(0)
			utility.waitmenumode(0.1)
			If(Game.GetPlayer().GetEquippedWeapon())
				Game.GetPlayer().UnequipItemEx(Game.GetPlayer().GetEquippedWeapon() as form, 1, false)			;remove any weapon from the right hand
			EndIf
			If(Game.GetPlayer().GetEquippedWeapon(true))
				Game.GetPlayer().UnequipItemEx(Game.GetPlayer().GetEquippedWeapon(true) as form, 2, false)		;remove any weapon from the left hand
			EndIf
			MonitorEffect.UnregisterForAllKeys()
			ShowMessage("Your weapons have been unequipped.", false, "OK")
		elseif(GreatswordBackSheath.GetValueInt() == 0)
			GreatswordBackSheath.SetValue(1)
			utility.waitmenumode(0.1)
			If(Game.GetPlayer().GetEquippedWeapon())
				Game.GetPlayer().UnequipItemEx(Game.GetPlayer().GetEquippedWeapon() as form, 1, false)			;remove any weapon from the right hand
			EndIf
			If(Game.GetPlayer().GetEquippedWeapon(true))
				Game.GetPlayer().UnequipItemEx(Game.GetPlayer().GetEquippedWeapon(true) as form, 2, false)		;remove any weapon from the left hand
			EndIf
			MonitorEffect.UnregisterForAllKeys()
			ShowMessage("Any weapons have been unequipped.", false, "OK")
		endif
	ElseIf(option == optionE)
		YourWeapon = Game.GetPlayer().GetEquippedWeapon()
		ShowMessage("Please exit the menu now. A menu will appear and you can reset your weapon.", false, "OK")
		int choice = ChoiceBox3.Show()
		if(choice == 0)
			ResetRequest.SetValue(1)
			utility.wait(0.5)
			Game.getplayer().UnequipItem(YourWeapon as form, false, true)
			YourWeapon.SetWeaponType(1)
			YourWeapon.SetEquipType(Game.GetForm(0x00013f42) As EquipSlot)
			utility.wait(0.5)
			Game.getplayer().EquipItem(YourWeapon as form, false, true)
		elseif(choice == 1)
			ResetRequest.SetValue(1)
			utility.wait(0.5)
			Game.getplayer().UnequipItem(YourWeapon as form, false, true)
			YourWeapon.SetWeaponType(2)
			YourWeapon.SetEquipType(Game.GetForm(0x00013f42) As EquipSlot)
			utility.wait(0.5)
			Game.getplayer().EquipItem(YourWeapon as form, false, true)
		elseif(choice ==2)
			ResetRequest.SetValue(1)
			utility.wait(0.5)
			Game.getplayer().UnequipItem(YourWeapon as form, false, true)
			YourWeapon.SetWeaponType(3)
			YourWeapon.SetEquipType(Game.GetForm(0x00013f42) As EquipSlot)
			utility.wait(0.5)
			Game.getplayer().EquipItem(YourWeapon as form, false, true)
		elseif(choice == 3)
			int choice2 = ChoiceBox4.Show()
			if(choice2 ==0)
				ResetRequest.SetValue(1)
				utility.wait(0.5)
				Game.getplayer().UnequipItem(YourWeapon as form, false, true)
				YourWeapon.SetWeaponType(4)
				YourWeapon.SetEquipType(Game.GetForm(0x00013f42) As EquipSlot)
				utility.wait(0.5)
				Game.getplayer().EquipItem(YourWeapon as form, false, true)
			elseif(choice2 == 1)
				ResetRequest.SetValue(1)
				utility.wait(0.5)
				Game.getplayer().UnequipItem(YourWeapon as form, false, true)
				YourWeapon.SetWeaponType(5)
				YourWeapon.SetEquipType(Game.GetForm(0x00013f45) As EquipSlot)
				utility.wait(0.5)
				Game.getplayer().EquipItem(YourWeapon as form, false, true)
			elseif(choice2 ==2)
				ResetRequest.SetValue(1)
				utility.wait(0.5)
				Game.getplayer().UnequipItem(YourWeapon as form, false, true)
				YourWeapon.SetWeaponType(6)
				YourWeapon.SetEquipType(Game.GetForm(0x00013f45) As EquipSlot)
				utility.wait(0.5)
				Game.getplayer().EquipItem(YourWeapon as form, false, true)
			endif
		endif
	ElseIf(option == optionH)
		stateH = !stateH
		if(stateH == true)
			AutoGripGlobal.SetValue(1)
		elseif(stateH == false)
			AutoGripGlobal.SetValue(0)
		endif
		SetToggleOptionValue(optionH, stateH)
	ElseIf(option == optionK)
		stateK = !stateK
		if(stateK == true)
			SkillsMatch.SetValue(1)
		elseif(stateK == false)
			SkillsMatch.SetValue(0)
		endif
		SetToggleOptionValue(optionK, stateK)
	ElseIf(option == optionZ)
		Game.GetPlayer().RemoveSpell(MonitorAbility)
		ResetMCM()
		DummyQuest.Stop()
		ForcePageReset()
		SetCursorPosition(0)
		ShowMessage("The mod has shut down.", false, "OK")
	EndIf
EndEvent

Event OnOptionHighlight(int option)
	If(Enabled == 1)
		If(option == optionB)
			SetInfoText("Changes Hotkey into a modifier. While hotkey is pressed, you can press another key to change grip. This is directed towards gamepad users. Eg. LB(Modifier) + A(Hotkey)")
		ElseIf(option == Hotkey)&&(stateB == 0)
			SetInfoText("Change the hotkey you'll be using to switch between grips. Esc means you haven't set it up yet.")
		ElseIf(option == Hotkey)&&(stateB == 1)
			SetInfoText("Change the modifier you'll be using to switch between grips. Esc means you haven't set it up yet.")
		ElseIf(option == Hotkey2)
			SetInfoText("Change the hotkey you'll be using to switch between grips. Esc means you haven't set it up yet.")
		ElseIf(option == optionC)
			SetInfoText("Battleaxes and warhammers will always show up sheathed on the back.\nThis option will add a bit of latency when drawing in one-handed mode. I recommend leaving this off.")
		ElseIf(option == optionD)
			SetInfoText("Greatswords will always show up sheathed on the back.\nThis option will add a bit of latency when drawing in one-handed mode. I recommend leaving this off.")
		ElseIf(option == optionE)
			SetInfoText("Reset your equipped weapon to the right weapon type.")
		ElseIf(option == optionF_S)
			SetInfoText("Reset your equipped weapon's base damage using a slider. Base damage doesn't factor in your skill level, perks, or tempering.")
		ElseIf(option == optionG_S)
			SetInfoText("Add extra time to your grip change. Increase this value if you're weapons aren't changing correctly.\n1 Millisecond (ms) = 0.001 Seconds")
		ElseIf(option == optionH)
			SetInfoText("When you equip a weapon, you can choose it's grip.")
		ElseIf(option == optionI_S)
			If(damagechangeA >= 0.0000)
				SetInfoText("Your one-handed weapons do " + (damagechangeA as int) + "% more damage while in two hands.\nYour two-handed weapons do " + (damagechangeA as int) + "% less damage while in one hand.")
			ElseIf(damagechangeA < 0.0000)
				SetInfoText("Your one-handed weapons do " + (-1*(damagechangeA as int)) + "% less damage while in two hands.\nYour two-handed weapons do " + (-1*(damagechangeA as int)) + "% more damage while in one hand.")
			EndIf
		ElseIf(option == optionJ_S)
			If(speedchangeA >= 0.0000)
				SetInfoText("Your one-handed weapons swing " + (speedchangeA as int) + "% faster while in two hands.\nYour two-handed weapons swing " + (speedchangeA as int) + "% slower while in one hand.")
			ElseIf(speedchangeA < 0.0000)
				SetInfoText("Your one-handed weapons swing " + (-1*(speedchangeA as int)) + "% slower while in two hands.\nYour two-handed weapons swing " + (-1*(speedchangeA as int)) + "% faster while in one hand.")
			EndIf
		ElseIf(option == optionK)
			SetInfoText("If enabled, skill experience and damage depend on grip.")
		ElseIf(option == optionZ)
			SetInfoText("Shut down the mod. Use this before uninstalling or updating.")
		EndIf
	EndIf
EndEvent

Event OnOptionKeyMapChange(int option, int keyCode, string conflictControl, string conflictName)
	If(option == Hotkey)
		myKey = keyCode
		SetKeyMapOptionValue(Hotkey, myKey)
		DummyQuest.UnregisterForAllKeys()
		DummyQuest.RegisterForKey(myKey)
		GlobalHotkey.SetValue(myKey)
	ElseIf(option == Hotkey2)
		DummyQuest.UnregisterForKey(myKey2)
		myKey2 = keycode
		SetKeyMapOptionValue(Hotkey2, myKey2)
		DummyQuest.RegisterForKey(myKey2)
		GlobalHotkey2.SetValue(myKey2)
		SecondaryHotkeyEnabled.SetValue(1)
	EndIf
EndEvent

event OnOptionSliderOpen(int option)
	If(option == optionF_S)
		SetSliderDialogStartValue(WeaponDamage.GetValue())
		SetSliderDialogDefaultValue(WeaponDamage.GetValue())
		SetSliderDialogRange(0.0, 50.0)
		SetSliderDialogInterval(1.0)
	ElseIf(option == optionG_S)
		SetSliderDialogStartValue(extrawaitA)
		SetSliderDialogDefaultValue(0)
		SetSliderDialogRange(0.0, 200.0)
		SetSliderDialogInterval(10.0)
	ElseIf(option == optionI_S)
		SetSliderDialogStartValue(damagechangeA)
		SetSliderDialogDefaultValue(25)
		SetSliderDialogRange(-50.0, 50.0)
		SetSliderDialogInterval(5.0)
	ElseIf(option == optionJ_S)
		SetSliderDialogStartValue(speedchangeA)
		SetSliderDialogDefaultValue(0)
		SetSliderDialogRange(-50.0, 50.0)
		SetSliderDialogInterval(5.0)
	endIf
endEvent

event OnOptionSliderAccept(int option, float value)
	If(option == optionF_S)
		If(Game.GetPlayer().GetEquippedWeapon())
			YourWeapon = Game.GetPlayer().GetEquippedWeapon()
			string skill = YourWeapon.GetSkill()
			float perkeffects = 0

			If (skill == "OneHanded")
				debug.trace("Weapon uses One-handed skill")
				If(Game.GetPlayer().HasPerk(ArmsmanPerk80))
					perkeffects = 0.2*5
				ElseIf(Game.GetPlayer().HasPerk(ArmsmanPerk60))
					perkeffects = 0.2*4
				ElseIf(Game.GetPlayer().HasPerk(ArmsmanPerk40))
					perkeffects = 0.2*3
				ElseIf(Game.GetPlayer().HasPerk(ArmsmanPerk20))
					perkeffects = 0.2*2
				ElseIf(Game.GetPlayer().HasPerk(ArmsmanPerk00))
					perkeffects = 0.2*1
				EndIf
			ElseIf(skill == "TwoHanded")
				debug.trace("Weapon uses Two-handed skill")
				If(Game.GetPlayer().HasPerk(BarbarianPerk80))
					perkeffects = 0.2*5
				ElseIf(Game.GetPlayer().HasPerk(BarbarianPerk60))
					perkeffects = 0.2*4
				ElseIf(Game.GetPlayer().HasPerk(BarbarianPerk40))
					perkeffects = 0.2*3
				ElseIf(Game.GetPlayer().HasPerk(BarbarianPerk20))
					perkeffects = 0.2*2
				ElseIf(Game.GetPlayer().HasPerk(BarbarianPerk00))
					perkeffects = 0.2*1
				EndIf
			EndIf

			Game.getplayer().UnequipItem(YourWeapon as form, false, true)
			YourWeapon.SetBaseDamage(value as int)
			utility.waitmenumode(0.1)
			Game.getplayer().EquipItem(YourWeapon as form, false, true)

			float tempering = WornObject.GetItemHealthPercent(Game.GetPlayer(), 1, 0)
			If(tempering == 1.00)
				tempering = 0
			ElseIf(tempering == 1.10)
				tempering = ((3.6*1.0) - 0.8)/2
			ElseIf(tempering == 1.20)
				tempering = ((3.6*2.0) - 0.8)/2
			ElseIf(tempering == 1.30)
				tempering = ((3.6*3.0) - 0.8)/2
			ElseIf(tempering == 1.40)
				tempering = ((3.6*4.0) - 0.8)/2
			ElseIf(tempering == 1.50)
				tempering = ((3.6*5.0) - 0.8)/2
			ElseIf(tempering == 1.60)
				tempering = ((3.6*6.0) - 0.8)/2
			EndIf
			
			utility.waitmenumode(0.1)
			ShowMessage("Your weapon's base damage has been reset to " + (value as int) + ".\nIts total damage should be around " + (((value+tempering)*(1 + (Game.GetPlayer().GetAV(skill))/100)*(1 + perkeffects)) as int) + ".", false, "OK")
		Else
			ShowMessage("You don't have a weapon equipped.", false, "OK")
		EndIf

	ElseIf(option == optionG_S)
		extrawaitA = value
		SetSliderOptionValue(optionG_S, extrawaitA, "{0} ms")
		ExtraWait.SetValue(extrawaitA*0.001)
	ElseIf(option == optionI_S)
		damagechangeA = value
		SetSliderOptionValue(optionI_S, damagechangeA, "{0}%")
		DamageChange.SetValue(damagechangeA*0.01)
	ElseIf(option == optionJ_S)
		speedchangeA = value
		SetSliderOptionValue(optionJ_S, speedchangeA, "{0}%")
		SpeedChange.SetValue(speedchangeA*0.01)
	endIf
endEvent

Event OnGameReload()
	parent.OnGameReload()
	utility.waitmenumode(10)
	ForcePageReset()
EndEvent